"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ArchiveCommand_1 = require("../../archive/ArchiveCommand");
describe('Archived Command', () => {
    it('should return proper results when type is step', () => {
        const type = 'step';
        const id = 1;
        const archiveCommand = new ArchiveCommand_1.ArchiveCommand(type, id);
        const isStep = archiveCommand.isStep();
        const isSteplet = archiveCommand.isSteplet();
        const getId = archiveCommand.getId();
        const getType = archiveCommand.getType();
        expect(isStep).toBeTruthy();
        expect(isSteplet).toBeFalsy();
        expect(getId).toEqual(id);
        expect(getType).toEqual(type);
    });
});
//# sourceMappingURL=ArchiveCommand.test.js.map