import { Worker } from '@jfrog-pipelines/microservice';
declare type Payload = {
    objectType?: string;
    objectId?: number;
    queuedAt?: Date;
};
export declare type LogArchiveQueuePayload = {
    payload?: Payload;
};
export declare class LogWorker implements Worker {
    private readonly logger;
    private readonly eventLogger;
    process(message: {
        [key: string]: unknown;
    }): Promise<void>;
    private validate;
    private validatePayload;
}
export {};
