"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepServiceDataAdapterFactory = exports.StepServiceDI = void 0;
const ApiStepServiceDataAdapter_1 = require("./ApiStepServiceDataAdapter");
var StepServiceDI;
(function (StepServiceDI) {
    StepServiceDI[StepServiceDI["api"] = 0] = "api";
    StepServiceDI[StepServiceDI["database"] = 1] = "database";
})(StepServiceDI = exports.StepServiceDI || (exports.StepServiceDI = {}));
class StepServiceDataAdapterFactory {
    static create(type = StepServiceDI.api) {
        if (type === StepServiceDI.api) {
            return new ApiStepServiceDataAdapter_1.ApiStepServiceDataAdapter();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.StepServiceDataAdapterFactory = StepServiceDataAdapterFactory;
//# sourceMappingURL=StepServiceDataAdapterFactory.js.map